Open CASCADE Technology: Bnd_B3f Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Attributes
Bnd_B3f Class Reference

`#include <Bnd_B3f.hxx>`

## Public Member Functions
| Bnd_B3f ()
| Bnd_B3f (const gp_XYZ &theCenter, const gp_XYZ &theHSize)
Standard_Boolean | IsVoid () const
void | Clear ()
void | Add (const gp_XYZ &thePnt)
void | Add (const gp_Pnt &thePnt)
void | Add (const Bnd_B3f &theBox)
gp_XYZ | CornerMin () const
gp_XYZ | CornerMax () const
Standard_Real | SquareExtent () const
void | Enlarge (const Standard_Real theDiff)
Standard_Boolean | Limit (const Bnd_B3f &theOtherBox)
Bnd_B3f | Transformed (const gp_Trsf &theTrsf) const
Standard_Boolean | IsOut (const gp_XYZ &thePnt) const
Standard_Boolean | IsOut (const gp_XYZ &theCenter, const Standard_Real theRadius, const Standard_Boolean isSphereHollow=Standard_False) const
Standard_Boolean | IsOut (const Bnd_B3f &theOtherBox) const
Standard_Boolean | IsOut (const Bnd_B3f &theOtherBox, const gp_Trsf &theTrsf) const
Standard_Boolean | IsOut (const gp_Ax1 &theLine, const Standard_Boolean isRay=Standard_False, const Standard_Real theOverthickness=0.0) const
Standard_Boolean | IsOut (const gp_Ax3 &thePlane) const
Standard_Boolean | IsIn (const Bnd_B3f &theBox) const
Standard_Boolean | IsIn (const Bnd_B3f &theBox, const gp_Trsf &theTrsf) const
void | SetCenter (const gp_XYZ &theCenter)
void | SetHSize (const gp_XYZ &theHSize)

## Protected Attributes
Standard_ShortReal | myCenter [3]
Standard_ShortReal | myHSize [3]

## Constructor & Destructor Documentation

Bnd_B3f::Bnd_B3f | ( |  | ) |

Bnd_B3f::Bnd_B3f | ( | const gp_XYZ & | theCenter,
|  | const gp_XYZ & | theHSize
| ) |  |

## Member Function Documentation

void Bnd_B3f::Add | ( | const gp_XYZ & | thePnt | ) |

void Bnd_B3f::Add | ( | const gp_Pnt & | thePnt | ) |

void Bnd_B3f::Add | ( | const Bnd_B3f & | theBox | ) |

void Bnd_B3f::Clear | ( |  | ) |

gp_XYZ Bnd_B3f::CornerMax | ( |  | ) | const

gp_XYZ Bnd_B3f::CornerMin | ( |  | ) | const

void Bnd_B3f::Enlarge | ( | const Standard_Real | theDiff | ) |

Standard_Boolean Bnd_B3f::IsIn | ( | const Bnd_B3f & | theBox | ) | const

Standard_Boolean Bnd_B3f::IsIn | ( | const Bnd_B3f & | theBox,
|  | const gp_Trsf & | theTrsf
| ) |  | const

Standard_Boolean Bnd_B3f::IsOut | ( | const gp_XYZ & | thePnt | ) | const

Standard_Boolean Bnd_B3f::IsOut | ( | const gp_XYZ & | theCenter,
|  | const Standard_Real | theRadius,
|  | const Standard_Boolean | isSphereHollow = `Standard_False`
| ) |  | const

Standard_Boolean Bnd_B3f::IsOut | ( | const Bnd_B3f & | theOtherBox | ) | const

Standard_Boolean Bnd_B3f::IsOut | ( | const Bnd_B3f & | theOtherBox,
|  | const gp_Trsf & | theTrsf
| ) |  | const

Standard_Boolean Bnd_B3f::IsOut | ( | const gp_Ax1 & | theLine,
|  | const Standard_Boolean | isRay = `Standard_False`,
|  | const Standard_Real | theOverthickness = `0.0`
| ) |  | const

Standard_Boolean Bnd_B3f::IsOut | ( | const gp_Ax3 & | thePlane | ) | const

Standard_Boolean Bnd_B3f::IsVoid | ( |  | ) | const

Standard_Boolean Bnd_B3f::Limit | ( | const Bnd_B3f & | theOtherBox | ) |

void Bnd_B3f::SetCenter | ( | const gp_XYZ & | theCenter | ) |

void Bnd_B3f::SetHSize | ( | const gp_XYZ & | theHSize | ) |

Standard_Real Bnd_B3f::SquareExtent | ( |  | ) | const

Bnd_B3f Bnd_B3f::Transformed | ( | const gp_Trsf & | theTrsf | ) | const

## Field Documentation

Standard_ShortReal Bnd_B3f::myCenter[3]
| protected

Standard_ShortReal Bnd_B3f::myHSize[3]
| protected

The documentation for this class was generated from the following file:

- Bnd_B3f.hxx